SDL_MouseDeviceEvent Struct Reference

`#include <SDL_events.h>`

## Data Fields

SDL_EventType | type
Uint32 | reserved
Uint64 | timestamp
SDL_MouseID | which

## Detailed Description

Mouse device event structure (event.mdevice.*)

Since
  This struct is available since SDL 3.2.0.

Definition at line 440 of file SDL_events.h.

## Field Documentation

## reserved

Uint32 SDL_MouseDeviceEvent::reserved

Definition at line 443 of file SDL_events.h.

## timestamp

Uint64 SDL_MouseDeviceEvent::timestamp

In nanoseconds, populated using SDL_GetTicksNS()

Definition at line 444 of file SDL_events.h.

## type

SDL_EventType SDL_MouseDeviceEvent::type

SDL_EVENT_MOUSE_ADDED or SDL_EVENT_MOUSE_REMOVED

Definition at line 442 of file SDL_events.h.

## which

SDL_MouseID SDL_MouseDeviceEvent::which

The mouse instance id

Definition at line 445 of file SDL_events.h.

The documentation for this struct was generated from the following file:

- SDL_events.h